PUT — Update a Bridge
6 min
Description
Updates the configuration of an existing bridge.
Method
PUT
Endpoint
/v2/accounts/{AccountSID}/bridges/{BridgeSID}
Request Parameters
Parameter Name | Mandatory / Optional | Type | Description |
|---|---|---|---|
recording | Optional | boolean | Enable or disable recording |
max_participants | Optional | number | Update max participant limit |
Request Payload
{
"recording": true,
"max_participants": 15
}
cURL
curl --location --request PUT 'https://cpaas-api.in.exotel.com/v2/accounts/{AccountSID}/bridges/{BridgeSID}' \
--header 'Authorization: Basic <BASE64_APIKEY_APITOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"recording": true,
"max_participants": 15
}'
Response Payload
{
"request_id": "ghi789",
"http_code": 200,
"response": {
"data": {
"bridge_sid": "BRIDGE_SID",
"recording": true,
"max_participants": 15,
"state": "active",
"date_updated": "2024-12-11T10:02:11Z"
}
}
}